<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: Platform APIs</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Platform APIs<br/>
<small>
[<a class="el" href="group__group__vx__platform.html">2: TIOVX Platform Modules</a>]</small>
</h1><table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#ga163eb793acabcf9c228318bd9112b8d8">tivxPlatformGetTargetId</a> (const char *target_name)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Convert a target name to a specific target ID.  <a href="#ga163eb793acabcf9c228318bd9112b8d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#gae52b4fec9fe9fc881217f834b16e4772">tivxPlatformTargetMatch</a> (const char *kernel_target_name, const char *target_string)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Match a user specified target_string with kernel suported target name.  <a href="#gae52b4fec9fe9fc881217f834b16e4772"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#gac6bb6eb426a15e8805041746492a42dd">tivxPlatformGetObjDescTableInfo</a> (<a class="el" href="structtivx__obj__desc__table__info__t.html">tivx_obj_desc_table_info_t</a> *table_info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Return shared memory info which holds the object descriptors.  <a href="#gac6bb6eb426a15e8805041746492a42dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#ga9995aaea95bc5fb2164953056ccd4281">tivxPlatformSystemLock</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> lock_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Take a system level lock.  <a href="#ga9995aaea95bc5fb2164953056ccd4281"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#gae40cf85733222fb64e12462a48a847ef">tivxPlatformSystemUnlock</a> (<a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> lock_id)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Release system level lock.  <a href="#gae40cf85733222fb64e12462a48a847ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">uint64_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#gafe9199791da44e9a0b0a26c81cf49180">tivxPlatformGetTimeInUsecs</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the time in micro seconds.  <a href="#gafe9199791da44e9a0b0a26c81cf49180"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#gadfc3155b433c4d7d5327803d984abfd4">tivxPlatformInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Init Platform module.  <a href="#gadfc3155b433c4d7d5327803d984abfd4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#ga768f6b4525527196bb1c157932ef150a">tivxPlatformDeInit</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">DeInit Platform module.  <a href="#ga768f6b4525527196bb1c157932ef150a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#ga51af70f92ac58c4872df7d22df0c0781">tivxPlatformPrintf</a> (const char *format)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Print given string.  <a href="#ga51af70f92ac58c4872df7d22df0c0781"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#gac8b108ea08441007956dc181d70f222d">tivxPlatformCreateTargets</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to set the target configuration.  <a href="#gac8b108ea08441007956dc181d70f222d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#ga845dbad929f94c02f396286a4d420336">tivxPlatformDeleteTargets</a> (void)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function to destroy created targets.  <a href="#ga845dbad929f94c02f396286a4d420336"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#ga89aa5a7d6c37fd14db9091a4de40a871">tivxPlatformActivate</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility function to enable Platform specific things Currently Used for EVE algorithm to enable EDMA.  <a href="#ga89aa5a7d6c37fd14db9091a4de40a871"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#gad19b728fb29ec3dfd9a2dbf14f7b6732">tivxPlatformDeactivate</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Utility function to disable Platform specific things Currently Used for EVE algorithm to disable EDMA.  <a href="#gad19b728fb29ec3dfd9a2dbf14f7b6732"></a><br/></td></tr>
<tr><td colspan="2"><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__group__tivx__platform.html#ga60dd5b4e5393c3efae0b37bfd51122db">tivx_platform_lock_type_e</a> { <a class="el" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dba8403855db8d16c671c982da48e11f490">TIVX_PLATFORM_LOCK_OBJ_DESC_TABLE</a> =  0, 
<a class="el" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dbac2106ead9f185154f784a3effe61006e">TIVX_PLATFORM_LOCK_CONTEXT</a>, 
<a class="el" href="group__group__tivx__platform.html#gga60dd5b4e5393c3efae0b37bfd51122dba23fdd08418e39aac36e92a5add8f467b">TIVX_PLATFORM_LOCK_MAX</a>
 }</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><p>Types of system level locks. </p>
 <a href="group__group__tivx__platform.html#ga60dd5b4e5393c3efae0b37bfd51122db">More...</a><br/></td></tr>
</table>
<hr/><h2>Enumeration Type Documentation</h2>
<a class="anchor" id="ga60dd5b4e5393c3efae0b37bfd51122db"></a><!-- doxytag: member="tivx_platform.h::tivx_platform_lock_type_e" ref="ga60dd5b4e5393c3efae0b37bfd51122db" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__group__tivx__platform.html#ga60dd5b4e5393c3efae0b37bfd51122db">tivx_platform_lock_type_e</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Types of system level locks. </p>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="gga60dd5b4e5393c3efae0b37bfd51122dba8403855db8d16c671c982da48e11f490"></a><!-- doxytag: member="TIVX_PLATFORM_LOCK_OBJ_DESC_TABLE" ref="gga60dd5b4e5393c3efae0b37bfd51122dba8403855db8d16c671c982da48e11f490" args="" -->TIVX_PLATFORM_LOCK_OBJ_DESC_TABLE</em>&nbsp;</td><td>
<p>Lock the shared object descriptor table. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga60dd5b4e5393c3efae0b37bfd51122dbac2106ead9f185154f784a3effe61006e"></a><!-- doxytag: member="TIVX_PLATFORM_LOCK_CONTEXT" ref="gga60dd5b4e5393c3efae0b37bfd51122dbac2106ead9f185154f784a3effe61006e" args="" -->TIVX_PLATFORM_LOCK_CONTEXT</em>&nbsp;</td><td>
<p>Lock the context during context create and delete. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="gga60dd5b4e5393c3efae0b37bfd51122dba23fdd08418e39aac36e92a5add8f467b"></a><!-- doxytag: member="TIVX_PLATFORM_LOCK_MAX" ref="gga60dd5b4e5393c3efae0b37bfd51122dba23fdd08418e39aac36e92a5add8f467b" args="" -->TIVX_PLATFORM_LOCK_MAX</em>&nbsp;</td><td>
<p>Max number of locks. </p>
</td></tr>
</table>
</dd>
</dl>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="ga163eb793acabcf9c228318bd9112b8d8"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformGetTargetId" ref="ga163eb793acabcf9c228318bd9112b8d8" args="(const char *target_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a> tivxPlatformGetTargetId </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>target_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Convert a target name to a specific target ID. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>target_name</em>&nbsp;</td><td>[in] Target name</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>target ID </dd></dl>

</div>
</div>
<a class="anchor" id="gae52b4fec9fe9fc881217f834b16e4772"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformTargetMatch" ref="gae52b4fec9fe9fc881217f834b16e4772" args="(const char *kernel_target_name, const char *target_string)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a7ab7c7864a0ea6762a9e15be80ef28f0">vx_bool</a> tivxPlatformTargetMatch </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>kernel_target_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>target_string</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Match a user specified target_string with kernel suported target name. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>kernel_target_name</em>&nbsp;</td><td>[in] Kernel supported target name </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>target_string</em>&nbsp;</td><td>[in] user specified target string</td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>vx_true_e if match found, else vx_false_e </dd></dl>

</div>
</div>
<a class="anchor" id="gac6bb6eb426a15e8805041746492a42dd"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformGetObjDescTableInfo" ref="gac6bb6eb426a15e8805041746492a42dd" args="(tivx_obj_desc_table_info_t *table_info)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformGetObjDescTableInfo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtivx__obj__desc__table__info__t.html">tivx_obj_desc_table_info_t</a> *&nbsp;</td>
          <td class="paramname"> <em>table_info</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return shared memory info which holds the object descriptors. </p>
<p>This is platform APIs since method of specifying shared memory, number of object descriptors is platform dependant </p>

</div>
</div>
<a class="anchor" id="ga9995aaea95bc5fb2164953056ccd4281"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformSystemLock" ref="ga9995aaea95bc5fb2164953056ccd4281" args="(vx_enum lock_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformSystemLock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>lock_id</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Take a system level lock. </p>
<p>This locks is taken across all targets to mutual exclusion across targets </p>

</div>
</div>
<a class="anchor" id="gae40cf85733222fb64e12462a48a847ef"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformSystemUnlock" ref="gae40cf85733222fb64e12462a48a847ef" args="(vx_enum lock_id)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformSystemUnlock </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="vx__types_8h.html#a73d23cb932d31a69f44182054a987c85">vx_enum</a>&nbsp;</td>
          <td class="paramname"> <em>lock_id</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Release system level lock. </p>

</div>
</div>
<a class="anchor" id="gafe9199791da44e9a0b0a26c81cf49180"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformGetTimeInUsecs" ref="gafe9199791da44e9a0b0a26c81cf49180" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint64_t tivxPlatformGetTimeInUsecs </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the time in micro seconds. </p>

</div>
</div>
<a class="anchor" id="gadfc3155b433c4d7d5327803d984abfd4"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformInit" ref="gadfc3155b433c4d7d5327803d984abfd4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a64df90a05ff50c048d65ab77bc60e4f0">vx_status</a> tivxPlatformInit </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Init Platform module. </p>

</div>
</div>
<a class="anchor" id="ga768f6b4525527196bb1c157932ef150a"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformDeInit" ref="ga768f6b4525527196bb1c157932ef150a" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformDeInit </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>DeInit Platform module. </p>

</div>
</div>
<a class="anchor" id="ga51af70f92ac58c4872df7d22df0c0781"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformPrintf" ref="ga51af70f92ac58c4872df7d22df0c0781" args="(const char *format)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformPrintf </td>
          <td>(</td>
          <td class="paramtype">const char *&nbsp;</td>
          <td class="paramname"> <em>format</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Print given string. </p>

</div>
</div>
<a class="anchor" id="gac8b108ea08441007956dc181d70f222d"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformCreateTargets" ref="gac8b108ea08441007956dc181d70f222d" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformCreateTargets </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function to set the target configuration. </p>
<p>It creates target and adds it to the list of targets supported on each core. </p>

</div>
</div>
<a class="anchor" id="ga845dbad929f94c02f396286a4d420336"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformDeleteTargets" ref="ga845dbad929f94c02f396286a4d420336" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformDeleteTargets </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function to destroy created targets. </p>

</div>
</div>
<a class="anchor" id="ga89aa5a7d6c37fd14db9091a4de40a871"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformActivate" ref="ga89aa5a7d6c37fd14db9091a4de40a871" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformActivate </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility function to enable Platform specific things Currently Used for EVE algorithm to enable EDMA. </p>

</div>
</div>
<a class="anchor" id="gad19b728fb29ec3dfd9a2dbf14f7b6732"></a><!-- doxytag: member="tivx_platform.h::tivxPlatformDeactivate" ref="gad19b728fb29ec3dfd9a2dbf14f7b6732" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tivxPlatformDeactivate </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Utility function to disable Platform specific things Currently Used for EVE algorithm to disable EDMA. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
